javax.xml.registry.infomodel

## Interface EmailAddress

-     public interface EmailAddress

  Represents an email address.
  Author:
    Farrukh S. Najmi
  See Also:
    `User`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Returns the email address for this object.
    `String` | `getType()` Gets the type for this object.
    `void` | `setAddress(String address)` Sets the email address for this object.
    `void` | `setType(String type)` Sets the type for this object.

- - ### Method Detail

    - #### getAddress

          String getAddress()
                            throws JAXRException

      Returns the email address for this object. Default is a NULL String.

      Capability Level: 0
      Returns:
        the actual email address (e.g. john.doe@acme.com)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setAddress

          void setAddress(String address)
                          throws JAXRException

      Sets the email address for this object.

      Capability Level: 0
      Parameters:
        `address` - the actual email address (e.g. john.doe@acme.com)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getType

          String getType()
                         throws JAXRException

      Gets the type for this object. Default is a NULL String.

      Capability Level: 0
      Returns:
        the usage type for this object which is an arbitrary value (e.g. "Home" or "Office")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setType

          void setType(String type)
                       throws JAXRException

      Sets the type for this object.

      Capability Level: 0
      Parameters:
        `type` - the usage type for this object which is an arbitrary value (e.g. "Home" or "Office")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.